#
# spec file for package jakarta (Version 3.2.3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  apache apache-devel java jserv mm
# usedforbuild    aaa_base aaa_dir apache apache-devel autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip java jserv kbd less libtool libz m4 make man mktemp mm modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         jakarta
%define java_jdkdir	  /usr/lib/java
%define apache_sysconfdir %(apxs -q SYSCONFDIR)
%define apache_libexecdir %(apxs -q LIBEXECDIR)
%define apache_serverroot %(apxs -q PREFIX)
%define ant_version       1.3
Version:      3.2.3
Release:      75
Copyright:    The Apache Software License, 1999-2000 The Apache Software Foundation
Summary:      Java Servlets and JavaServer
Group:        System Environment/Daemons
Url:          http://jakarta.apache.org
Provides:     tomcat
Requires:     jre1.1.x apache
Autoreqprov:  on
Source0:      jakarta-tomcat-%{version}-src.tar.bz2
Source1:      jakarta-ant-%{ant_version}-src.tar.bz2
Source2:      jakarta-servletapi-%{version}-src.tar.bz2
Source3:      config.tar.gz
Source4:      README.SuSE
Patch0:       jakarta-tomcat-%{version}-src.patch
Patch1:       jakarta-tomcat-%{version}-src-java1.patch
Patch2:       jakarta-servletapi-%{version}-src.patch
Patch3:       mod_jk.conf-auto.patch
BuildRoot:    %{_tmppath}/%{name}-build

%description
The goal of the Jakarta Project is to provide commercial-quality
server solutions based on the Java Platform that are developed in an
open and cooperative fashion.
Tomcat: Java Servlets and JavaServer Pages Reference Implementation
The flagship product, Tomcat, is a world-class implementation of the
Java Servlet 2.2 and JavaServer Pages 1.1 Specifications. This
implementation will be used in the Apache Web Server as well as in
other web servers and development tools.

Authors:
--------
    Hans Bergsten <hans@gefionsoftware.com>
    James Duncan <Davidson duncan@x180.com>
    Pierpaolo Fumagalli <pier@apache.org>
    Craig McClanahan <cmcclanahan@mytownnet.com>
    Sam Ruby <rubys@us.ibm.com>
    Jon Stevens <jon@clearink.com>
    Anil Vijendran <akv@eng.sun.com>
    Brian Behlendorf <brian@behlendorf.com>
    Kevin Burton <burton@relativity.yi.org>
    Danno Ferrin <shemnon@earthlink.net>
    Jason Hunter <jh@servlets.com>
    Ramesh Mandava <rmandava@talentportal.com>
    Stefano Mazzocchi <stefano@apache.org>
    Rajiv Mordani <mode@chinet.com>
    Harish Prabhandham <harishp@onebox.com>
    Jean-Luc Rochat <shachor@il.ibm.com>
    James Todd <jwtodd@pacbell.net>

SuSE series: n

%prep
%setup -n %{name}-%{version} -c %{name}-%{version} -T -D -a 0 -a 1 -a 2 -a 3
#
ln -s jakarta-ant-%{ant_version} jakarta-ant
ln -s jakarta-servletapi-%{version}-src jakarta-servletapi
ln -s jakarta-tomcat-%{version}-src jakarta-tomcat
#
pushd jakarta-tomcat
%patch0
%patch1
popd 
#
pushd jakarta-servletapi
%patch2
popd
#
cp %{S:4} .
%patch3

%build
ulimit -v unlimited
ulimit -a
%ifarch alpha
export CLASSPATH=%{java_jdkdir}/lib/tools.jar:%{java_jdkdir}/lib/classes.zip:$CLASSPATH
%else
export CLASSPATH=%{java_jdkdir}/lib/classes.zip:$CLASSPATH
%endif
export PATH=$PATH:%{java_jdkdir}/bin
export JAVA_LIMITS="-ss60M -mx60M"
export JAVA_HOME=%java_jdkdir
#
pushd jakarta-ant ;
	sh -x bootstrap.sh ;
	sh -x build.sh ;
popd;
#
pushd jakarta-servletapi ;
	sh -x build.sh ;
popd;
#
pushd jakarta-tomcat ;
	sh -x build.sh ;
popd;
#
pushd jakarta-tomcat/src/native/apache1.3 ;
	make -f Makefile.linux
popd;

%install
rm -rf $RPM_BUILD_ROOT
ulimit -v unlimited
ulimit -a 
%ifarch alpha
export CLASSPATH=%{java_jdkdir}/lib/tools.jar:%{java_jdkdir}/lib/classes.zip:$CLASSPATH
%else
export CLASSPATH=$CLASSPATH:%{java_jdkdir}/lib/classes.zip
%endif
export PATH=$PATH:%{java_jdkdir}/bin
export JAVA_LIMITS="-ss60M -mx60M"
export JAVA_HOME="/usr/lib/jdk1.1.8"
#
pushd jakarta-tomcat ;
mkdir -p $RPM_BUILD_ROOT/opt/
cp -r  ../build/tomcat/  $RPM_BUILD_ROOT/opt/
mv   $RPM_BUILD_ROOT/opt/tomcat  $RPM_BUILD_ROOT/opt/jakarta
popd;
#
install -d -m 755 $RPM_BUILD_ROOT/opt/jakarta/lib/jk
install jakarta-tomcat/src/native/apache1.3/mod_jk.so $RPM_BUILD_ROOT/opt/jakarta/lib/jk 
#
mv $RPM_BUILD_ROOT/opt/jakarta/conf/tomcat.conf $RPM_BUILD_ROOT/opt/jakarta/conf/tomcat.conf.jserv
install -m 644 mod_jk.conf-auto $RPM_BUILD_ROOT/opt/jakarta/conf/tomcat.conf
#
install -d -m 755 $RPM_BUILD_ROOT/%{apache_sysconfdir}/modules/
install jakarta $RPM_BUILD_ROOT/%{apache_sysconfdir}/modules/
#
install -d -m 755 $RPM_BUILD_ROOT%{_var}/adm/fillup-templates/
install -m 644 apache-jakarta.rc.config  $RPM_BUILD_ROOT%{_var}/adm/fillup-templates/
install -m 644 rc.config.jakarta $RPM_BUILD_ROOT%{_var}/adm/fillup-templates/
#
install -d -m 755 $RPM_BUILD_ROOT/etc/init.d
install -m 755 tomcat.rc $RPM_BUILD_ROOT/etc/init.d/tomcat
#
install -d -m 755 $RPM_BUILD_ROOT/%{_sbindir}
ln -sf /etc/init.d/tomcat $RPM_BUILD_ROOT%{_sbindir}/rctomcat
#
install -d -m 755 $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/
cp jakarta-tomcat/TODO jakarta-tomcat/README jakarta-tomcat/RELEASE-INFO \
   jakarta-tomcat/RELEASE-PLAN \
   README.SuSE \
   $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/
ln -sf /opt/%{name}/LICENSE $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/LICENCE
ln -sf /opt/%{name}/doc $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/doc
#
#fixing rights of directories
find $RPM_BUILD_ROOT -type d -exec chmod 755 {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%postun
if [ -x sbin/insserv ] ; then
        sbin/insserv etc/init.d
fi

%post
if [ -x sbin/insserv ] ; then
        sbin/insserv etc/init.d/tomcat
fi
echo -n "Updating etc/rc.config.d/apache.rc.config..."
if [ -x bin/fillup ] ; then
        test -e etc/rc.config.d/apache.rc.config || touch etc/rc.config.d/apache.rc.config
        bin/fillup -q -d = etc/rc.config.d/apache.rc.config var/adm/fillup-templates/apache-%{name}.rc.config
        echo " Done."
else
        echo
        echo "ERROR: fillup not found. This should not happen. Please compare"
        echo "etc/rc.config.d/apache.rc.config and "
        echo "var/adm/fillup-templates/apache-%{name}.rc.config and update by hand."
fi
echo -n "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then 
	bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.%{name}
	echo " Done."
else
       echo "ERROR: fillup not found. This should not happen. Please compare"
       echo "/etc/rc.config and /var/adm/fillup-templates/rc.config.%{name} and update manually."
fi

%files
%defattr(-, root, root)
%doc %{_defaultdocdir}/%{name}
%{apache_sysconfdir}/modules/%{name}
%{_var}/adm/fillup-templates/apache-%{name}.rc.config
%{_var}/adm/fillup-templates/rc.config.%{name}
/etc/init.d/tomcat
%{_sbindir}/rctomcat
/opt/%{name}

%changelog -n jakarta
* Thu Sep 13 2001 - pmladek@suse.cz
- fixed rctomcat for all javas
- fixed README.SuSE
* Fri Aug 31 2001 - pmladek@suse.cz
- fixed depencies to other JDKs (#9325):
  * require jre1.1.x instead of java
- tomcat use new modul mod_jk for communication with apache
  and created new configuration file for tomcat
- removed depencies on jserv (old modul for communication with apache)
- created README.SuSE
- config files moved to tar.gz
* Tue Aug 14 2001 - pmladek@suse.cz
- fixed tomcat modul for apache configuration to protect
  conflicts with jserv (bug #8067):
  * modul jserv is loaded and configured only once
- fixed tomcat rc script:
  * tomcat always is started
  * there are still problems to stop tomcat if
  apache is started with modulies tomcat or jserv
* Tue Aug 07 2001 - pmladek@suse.cz
- updated to vesion 3.2.3
  * security and bug fixes
* Tue Jul 17 2001 - pmladek@suse.cz
- updated to version 3.2.2
  * many security fixes
- fixed to compile with package java
  * removed and disabled java2 exetensions
  * tested with java2
- version test for apache and java made less strict
- fixed java_jdkdir
- fixed rights of directories in /otp/jakarta
- fixed documentation in %%{_defaultdocdir}
- cleaned up spec file
* Fri May 11 2001 - pmladek@suse.cz
- moved init script from patch to sources
- fixed tomcat start/stop script:
  * works with /var/run/tomcat.pid now
- fixed tomcat init script:
  * start: no repetitional start
  * stop: it stops tomcat only when it is runing
  * status: it uses /var/run/tomcat.pid
  * probe: added
- set default boot settings to START_TOMCAT=no
- all changes fix bug #8521
* Wed May 09 2001 - cstein@suse.de
- repacked sources with xzip/bzip2 (saved bytes ca. 370 kb)
* Thu Apr 19 2001 - pmladek@suse.cz
- fixed JAVA_HOME
* Mon Apr 09 2001 - pblaha@suse.cz
- update on 3.2.1 and add build root
* Wed Apr 04 2001 - rolf@suse.de
- fixed problem with Apache and Java version detection
* Thu Mar 29 2001 - rolf@suse.de
- added Apache module file so it works with jserv and Apache
- provided init script
* Tue Mar 27 2001 - stepan@suse.de
- fixed to compile on alpha.
* Thu Nov 30 2000 - kukuk@suse.de
- Cleanup neededforbuild
- Remove requires for xpm
* Mon May 29 2000 - uli@suse.de
- added "ulimit -v unlimited" to build/install sections
* Mon May 29 2000 - rolf@suse.de
- 3.1 final
* Thu Apr 13 2000 - ro@suse.de
- patched so java gets along with less memory
* Thu Apr 13 2000 - rolf@suse.de
- fixed a bug for AXP, still doesnt build. JAVA is buggy
* Wed Mar 29 2000 - rolf@suse.de
- version 3.1
